package com.persagy.dmp.admin.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.admin.config.shiro.UserModel;
import com.persagy.dmp.admin.service.AdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: yaoll
 * @date: 2020-12-29
 * @verison: 1.0
 */
@RestController
@RequestMapping("/admin")
public class AdminController {

	@Autowired
	private AdminService adminService;

	@PostMapping("/login")
	public MapResponse login(@RequestBody UserModel userModel){
		System.out.println("controller : /admin/login");
		return adminService.login(userModel);
	}

	@PostMapping("/logout")
	public MapResponse login(){
		return adminService.logout();
	}

	@PostMapping("/userInfo")
	public MapResponse userInfo(){
		return adminService.userInfo();
	}
}
